package com.yuchen.saas.park.service.service.building;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yuchen.saas.park.api.dto.building.*;
import com.yuchen.saas.park.api.entity.building.PmgBatBuildingReservation;
import com.yuchen.saas.park.api.vo.building.PmgBatBuildingReservationPageVO;

/**
 * <p>
 * 预约看房订单 服务类
 * </p>
 *
 * @author yuanzhelin
 * @since 2024-10-17
 */
public interface IPmgBatBuildingReservationService extends IService<PmgBatBuildingReservation> {
    Page<PmgBatBuildingReservationPageVO> pages(PmgBatBuildingReservationQueryDto dto);

    Boolean change(PmgBatBuildingReservationChangeDto dto);

    Boolean confirmVisit(PmgBatBuildingReservationConfirmVisitDto dto);
    Boolean cancel(PmgBatBuildingReservationCancelDto dto);

    Boolean confirmVisitApp(PmgBatBuildingReservationConfirmVisitAppDto dto);

    Boolean cancel(Long id);

}
